## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global srcname xyzservices

Name:           python-%{srcname}
Version:        2022.3.0
Release:        %autorelease
Summary:        Source of XYZ tiles providers

License:        BSD
URL:            https://github.com/geopandas/xyzservices
Source0:        %{pypi_source}

BuildArch:      noarch

BuildRequires:  python3-devel

%description
xyzservices is a lightweight library providing a repository of available XYZ
services offering raster basemap tiles. The repository is provided via Python
API and as a compressed JSON file. XYZ tiles can be used as background for your
maps to provide necessary spatial context.

%package -n     python3-%{srcname}
Summary:        %{summary}

BuildRequires:  python3dist(mercantile)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(requests)

%description -n python3-%{srcname}
xyzservices is a lightweight library providing a repository of available XYZ
services offering raster basemap tiles. The repository is provided via Python
API and as a compressed JSON file. XYZ tiles can be used as background for your
maps to provide necessary spatial context.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
%{pytest} -o 'markers=request'

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_datadir}/%{srcname}/

%changelog
* Thu Mar 10 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> 2022.3.0-1
- Update to latest version (#2062366)

* Sat Feb 12 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> 2022.2.0-1
- Update to latest version (#2052954)

* Tue Jan 25 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2022.1.1-1
- Update to latest version
- Fix comments from review

* Sun Dec 19 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2021.11.0-1
- Initial package

